"======================================================================
|
|   SDL declarations 
|
|
 ======================================================================"


"======================================================================
|
| Copyright 2006 Free Software Foundation, Inc.
| Written by Brad Watson
|
| This file is part of GNU Smalltalk.
|
| GNU Smalltalk is free software; you can redistribute it and/or modify it
| under the terms of the GNU General Public License as published by the Free
| Software Foundation; either version 2, or (at your option) any later version.
|
| GNU Smalltalk is distributed in the hope that it will be useful, but WITHOUT
| ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
| FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
| details.
|
| You should have received a copy of the GNU General Public License along with
| GNU Smalltalk; see the file COPYING.  If not, write to the Free Software
| Foundation, 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
|
 ======================================================================"


"======================================================================
|
|   Notes: implemented without callbacks.  
|  
 ======================================================================"

Object subclass: #SdlActive
    instanceVariableNames: ''
    classVariableNames: ''
    poolDictionaries: ''
    category: 'SdlActive Wrapper'! !

DLD addLibrary: 'libSDL'!

!SdlActive class methodsFor: 'Constants'!

sdlAppMouseFocus
    ^16r01!

sdlAppInputFocus
    ^16r02!

sdlAppActive
    ^16r04!

!SdlActive class methodsFor: 'C call-outs'!

sdlGetAppState
    "I answer the current state of the application. My C function call
    prototype:

    extern DECLSPEC Uint8 SDLCALL SDL_GetAppState(void);"
    <cCall: 'SDL_GetAppState' returning: #char
        args: #( )>! !
