"======================================================================
|
|   SDL declarations 
|
|
 ======================================================================"


"======================================================================
|
| Copyright 2006 Free Software Foundation, Inc.
| Written by Brad Watson
|
| This file is part of GNU Smalltalk.
|
| GNU Smalltalk is free software; you can redistribute it and/or modify it
| under the terms of the GNU General Public License as published by the Free
| Software Foundation; either version 2, or (at your option) any later version.
|
| GNU Smalltalk is distributed in the hope that it will be useful, but WITHOUT
| ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
| FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
| details.
|
| You should have received a copy of the GNU General Public License along with
| GNU Smalltalk; see the file COPYING.  If not, write to the Free Software
| Foundation, 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
|
 ======================================================================"


"======================================================================
|
|   Notes: implemented without callbacks.  
|  
 ======================================================================"

Object subclass: #SdlCPUInfo
    instanceVariableNames: ''
    classVariableNames: ''
    poolDictionaries: ''
    category: 'SdlCPUInfo Wrapper'! !

DLD addLibrary: 'libSDL'!

!SdlCPUInfo class methodsFor: 'C call-outs'!

sdlHasRDTSC
    <cCall: 'SDL_HasRDTSC' returning: #boolean
        args: #( )>!

sdlHasMMX
    <cCall: 'SDL_HasMMX' returning: #boolean
        args: #( )>!

sdlHasMMXExt
    <cCall: 'SDL_HasMMXExt' returning: #boolean
        args: #( )>!

sdlHas3DNow
    <cCall: 'SDL_Has3DNow' returning: #boolean
        args: #( )>!

sdlHas3DNowExt
    <cCall: 'SDL_Has3DNowExt' returning: #boolean
        args: #( )>!

sdlHasSSE
    <cCall: 'SDL_HasSSE' returning: #boolean
        args: #( )>!

sdlHasSSE2
    <cCall: 'SDL_HasSSE2' returning: #boolean
        args: #( )>!

sdlHasAltiVec
    <cCall: 'SDL_HasAltiVec' returning: #boolean
        args: #( )>! !
