"======================================================================
|
|   SDL declarations 
|
|
 ======================================================================"


"======================================================================
|
| Copyright 2006 Free Software Foundation, Inc.
| Written by Brad Watson
|
| This file is part of GNU Smalltalk.
|
| GNU Smalltalk is free software; you can redistribute it and/or modify it
| under the terms of the GNU General Public License as published by the Free
| Software Foundation; either version 2, or (at your option) any later version.
|
| GNU Smalltalk is distributed in the hope that it will be useful, but WITHOUT
| ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
| FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
| details.
|
| You should have received a copy of the GNU General Public License along with
| GNU Smalltalk; see the file COPYING.  If not, write to the Free Software
| Foundation, 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
|
 ======================================================================"


"======================================================================
|
|   Notes: implemented without callbacks.  
|  
 ======================================================================"

Object subclass: #SdlGetEnv
    instanceVariableNames: ''
    classVariableNames: ''
    poolDictionaries: ''
    category: 'SdlGetEnv Wrapper'! !

DLD addLibrary: 'libSDL'!

!SdlGetEnv class methodsFor: 'C call-outs'!

sdlPutEnv: aString0
    "I put a variable of the form 'name=value' into the
    environment. My C function call prototype:

    extern DECLSPEC int SDLCALL SDL_putenv(const char *variable);"
    <cCall: 'SDL_putenv' returning: #int 
        args: #( #string )>!

sdlGetEnv: aString0
    "I retrieve a variable named 'name' from the environment. My C
    function call prototype:

    extern DECLSPEC char * SDLCALL SDL_getenv(const char *name);"
    <cCall: 'SDL_getenv' returning: #string 
        args: #( #string )>! !
